阿里云
阿里云多端小程序中小企业获客首选
发表主题 回复主题
  • 8475阅读
  • 5回复

[教程]Ubuntu 下为单版本和多版本 PHP 安装扩展

级别: 论坛版主
发帖
9349
云币
14165
— 本帖被 不靠谱贝贝 设置为精华(2017-08-30) —
Z%-uyT@a  
3 }rx(  
介绍 sg]g;U  
$- Z/UHT  
J2`OJsMwWe  
尽管 PHP 软件源提供了不少 PHP 扩展,但并不是提供所有的扩展,那么如果我们需要安装一个软件源没有提供的扩展应该怎么办 1@<>GDB9  
利用 php-dev 就可以很方便的进行行编译 PHP 扩展了。不过如果有使用 PHP 多版本共存就会更加麻烦一点。 4vH.B)S-  
m]\d9%-AT&  
单一PHP \ItAc2,Fl  
! }awlv;  
r2Q) Q  
一、安装 php-dev ,如果不是 7.1 需要自己修改一下版本号:
  1. apt install php7.1-dev
AkqGk5e ^  
y|.dM.9V  
二、以安装 Swoole 为例:
  1. pecl install swoole
-g vS 3`lX  
IZ_ B $mo  
三、添加配置文件: ]<O -  
  1. cd /etc/php/7.1/fpm/conf.d/
  2. touch swoole.ini
  3. echo "extension=swoole.so" | tee -a swoole.ini
o\y qf:V8  
?Vr~~v"fg8  
a@gm r%C  
四、重启 php-fpm 即可:
  1. systemctl restart php7.1-fpm
yj`xOncE}  
v-Uz,3  
nx4E}8!Lh  
多PHP共存 (pQ$<c  
iw EHEi%  
]jJ4\O`  
因为多个 PHP 就不能简单粗暴的使用 pecl 安装了,因为安装好了不知道是给谁用的。这里以 PHP7.1 和 PHP5.6 为例,还是 swoole。 ngaQa-8w  
一、安装 php-dev:
  1. apt install php7.1-dev php5.6-dev
{S5D~A*a+  
3nkO+ qQ  
二、下载 swoole 源码 ,地址:http://pecl.php.net/package/swoole 4> [tjz.?k  
s!BZrVM%I`  
=}4lx^`oeT  
  1. cd /root/src
  2. wget http://pecl.php.net/get/swoole-1.9.15.tgz
  3. tar xzf swoole-1.9.15.tgz
  4. cd swoole-1.9.15
qS2]|7q?Tc  
/K#J63 ,  
27jZ~Bp$  
三、为 PHP7.1 进行编译 E;x~[MA  
  1. cd /root/src/swoole-1.9.15
  2. /usr/bin/phpize7.1
  3. ./configure --with-php-config=/usr/bin/php-config7.1
  4. make && make install
\U'TL_Ql  
vro5G')  
2$%0~Z5  
四、为 PHP5.6 进行编译
  1. cd /root/src/swoole-1.9.15
  2. /usr/bin/phpize5.6
  3. ./configure --with-php-config=/usr/bin/php-config5.6
  4. make && make install
&@xeWB  
qS+Ilg  
五、添加 PHP7.1 配置文件
  1. cd /etc/php/7.1/fpm/conf.d/
  2. touch swoole.ini
  3. echo "extension=swoole.so" | tee -a swoole.ini
/ k8;k56  
EC| b7  
六、添加 PHP5.6 配置文件
  1. cd /etc/php/5.6/fpm/conf.d/
  2. touch swoole.ini
  3. echo "extension=swoole.so" | tee -a swoole.ini
bYH! P/  
F1o"H/:n  
cYEe`?*  
q&wXs/$a  
七,重启 PHP-FPM
  1. systemctl restart php7.1-fpm
  2. systemctl restart php5.6-fpm
#3u471bp  
本帖最近评分记录: 1 条评分 云币 +1
光山居士 云币 +1 你懂的! 2017-08-30
级别: 论坛版主
发帖
3617
云币
9421
只看该作者 沙发  发表于: 2017-08-30
你懂的!
级别: 菜鸟
发帖
56
云币
88
只看该作者 板凳  发表于: 2017-08-31
ReUbuntu 下为单版本和多版本 PHP 安装扩展
我不懂。。。
级别: 论坛版主
发帖
9349
云币
14165
只看该作者 地板  发表于: 2017-08-31
回 2楼(无神) 的帖子
不懂什么?
级别: 菜鸟
发帖
56
云币
88
只看该作者 4楼 发表于: 2017-09-01
回 3楼妙正灰的帖子
帖子我看明白了。很清晰,我回复的是楼上的,谢谢版主哦,还专门问一下
级别: 论坛版主
发帖
9349
云币
14165
只看该作者 5楼 发表于: 2017-09-02
回 4楼(无神) 的帖子
哈哈,这下我懂了
发表主题 回复主题
« 返回列表上一主题下一主题

限100 字节
批量上传需要先选择文件,再选择上传
 
验证问题: ECS是阿里云提供的什么服务? 正确答案:云服务器
上一个 下一个
      ×
      全新阿里云开发者社区, 去探索开发者的新世界吧!
      一站式的体验,更多的精彩!
      通过下面领域大门,一起探索新的技术世界吧~ (点击图标进入)